/**
 * apaleo logs API - not safe for work
 * Continuously evolving version - use at your own risk! Different logs: night audit, transactions export, folio change log
 *
 * OpenAPI spec version: v0-nsfw
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { MonetaryValueModel } from './monetaryValueModel';
import { ClassMetaData } from '@apaleo/angular-api-proxy-common';
export interface FolioChangeLogItemModel {
    /**
     * The ID of the folio
     */
    folioId: string;
    /**
     * The type of the operation
     */
    eventType: FolioChangeLogItemModel.EventTypeEnum;
    /**
     * The ID of related entity, if there is any (e.g. the ID of the charge posted)
     */
    relatedEntityId?: string;
    /**
     * The description of related entity, if there is any (e.g. the name of the charge posted or the payment method)
     */
    relatedEntityDescription?: string;
    amount?: MonetaryValueModel;
    /**
     * The ID of the client that triggered this event
     */
    clientId: string;
    /**
     * The date the service is expected to be provided - <b>DEPRECATED: This field will be removed soon. Please use ServiceDate instead.</b>
     */
    readonly expectedDeliveryDate?: string;
    /**
     * The date the service is expected to be provided
     */
    serviceDate?: string;
    /**
     * The ID of the property
     */
    propertyId: string;
    /**
     * Date and time when the operation has been executed<br />A date and time (without fractional second part) in UTC or with UTC offset as defined in <a href=\"https://en.wikipedia.org/wiki/ISO_8601\">ISO8601:2004</a>
     */
    created: Date;
    /**
     * The ID of the user that triggered this event
     */
    subjectId?: string;
}
export declare namespace FolioChangeLogItemModel {
    type EventTypeEnum = 'Created' | 'ChargePosted' | 'TransitoryChargePosted' | 'AllowancePosted' | 'PaymentPosted' | 'ChargeMovedFromFolio' | 'TransitoryChargeMovedFromFolio' | 'PaymentMovedFromFolio' | 'ChargeMovedToFolio' | 'TransitoryChargeMovedToFolio' | 'PaymentMovedToFolio' | 'Closed' | 'Reopened' | 'Deleted' | 'DebitorChanged' | 'AllowanceMovedFromFolio' | 'AllowanceMovedToFolio' | 'RefundPosted' | 'RefundMovedFromFolio' | 'RefundMovedToFolio' | 'InvoiceCreated' | 'InvoiceCanceled' | 'InvoicePaid' | 'ChargesChanged' | 'PaymentAdded' | 'PaymentFailed' | 'PaymentCanceled' | 'RefundAdded' | 'RefundFailed' | 'InvoiceWrittenOff' | 'DepositItemAdded' | 'DepositItemChanged' | 'DepositItemDeleted';
    const EventTypeEnumValues: readonly EventTypeEnum[];
}
export declare namespace FolioChangeLogItemModel {
    const $metaData: ClassMetaData<FolioChangeLogItemModel>;
}
