/**
 * apaleo logs API - not safe for work
 * Continuously evolving version - use at your own risk! Different logs: night audit, transactions export, folio change log
 *
 * OpenAPI spec version: v0-nsfw
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { ClassMetaData } from '@apaleo/angular-api-proxy-common';
export interface LogEntryItemModel {
    /**
     * The id of the log entry
     */
    id?: string;
    /**
     * The log entry timestamp<br />A date and time (without fractional second part) in UTC or with UTC offset as defined in <a href=\"https://en.wikipedia.org/wiki/ISO_8601\">ISO8601:2004</a>
     */
    timestamp?: Date;
    /**
     * The client initiated the logged action
     */
    clientId?: string;
    /**
     * The subject (user) initiated the logged action
     */
    subjectId?: string;
    /**
     * The logged action type
     */
    actionType?: LogEntryItemModel.ActionTypeEnum;
    /**
     * The entity property
     */
    propertyId?: string;
    /**
     * The type of entity being tracked as a group.  Example: If a unit maintenance is created, the AggregateType would be Unit.
     */
    aggregateType?: string;
    /**
     * A unique identifier for a group of related changes.  Use this to track multiple changes that belong to the same context or process.  Example: If a unit maintenance is created, the AggregateId would be the unique ID of that unit.
     */
    aggregateId?: string;
    /**
     * The type of the specific object that was changed.  Example: If a unit maintenance is created, the EntityType would be Maintenance.
     */
    entityType?: string;
    /**
     * A unique identifier for the specific object that was changed.  Use this to track which exact item was updated within a group of changes.  Example: If a unit maintenance is created, the EntityId would be the unique ID of that maintenance.
     */
    entityId?: string;
    /**
     * The entity data before change
     */
    previousData?: {
        [key: string]: any;
    };
    /**
     * The new entity data after change
     */
    currentData?: {
        [key: string]: any;
    };
}
export declare namespace LogEntryItemModel {
    type ActionTypeEnum = 'Created' | 'Updated' | 'Deleted';
    const ActionTypeEnumValues: readonly ActionTypeEnum[];
}
export declare namespace LogEntryItemModel {
    const $metaData: ClassMetaData<LogEntryItemModel>;
}
