/**
 * apaleo logs API - not safe for work
 * Continuously evolving version - use at your own risk! Different logs: night audit, transactions export, folio change log
 *
 * OpenAPI spec version: v0-nsfw
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { ExternalReferencesChangeModel } from './externalReferencesChangeModel';
import { MonetaryValueModel } from './monetaryValueModel';
import { ReservationCancellationFeeChangeModel } from './reservationCancellationFeeChangeModel';
import { ReservationPaymentAccountChangeModel } from './reservationPaymentAccountChangeModel';
import { ReservationPersonChangeModel } from './reservationPersonChangeModel';
import { ReservationServiceChangeModel } from './reservationServiceChangeModel';
import { ReservationTimeSliceChangeModel } from './reservationTimeSliceChangeModel';
import { ReservationValidationMessageChangeModel } from './reservationValidationMessageChangeModel';
import { ClassMetaData } from '@apaleo/angular-api-proxy-common';
export interface ReservationAddedChangeModel {
    externalReferences?: ExternalReferencesChangeModel;
    /**
     * Indicates whether the reservation is marked as open-for-charges or not.
     */
    isOpenForCharges?: boolean;
    /**
     * Date of arrival<br />A date and time (without fractional second part) in UTC or with UTC offset as defined in <a href=\"https://en.wikipedia.org/wiki/ISO_8601\">ISO8601:2004</a>
     */
    arrival: Date;
    /**
     * Date of departure<br />A date and time (without fractional second part) in UTC or with UTC offset as defined in <a href=\"https://en.wikipedia.org/wiki/ISO_8601\">ISO8601:2004</a>
     */
    departure: Date;
    /**
     * Status of the reservation
     */
    status: ReservationAddedChangeModel.StatusEnum;
    /**
     * Block id
     */
    blockId?: string;
    totalGrossAmount: MonetaryValueModel;
    /**
     * Number of adults
     */
    adults: number;
    /**
     * Additional information and comments
     */
    comment?: string;
    /**
     * Additional information and comment by the guest
     */
    guestComment?: string;
    /**
     * Code in external system
     */
    externalCode?: string;
    /**
     * Channel code
     */
    channelCode: ReservationAddedChangeModel.ChannelCodeEnum;
    /**
     * Source of the reservation (e.g Hotels.com, Orbitz, etc.)
     */
    source?: string;
    primaryGuest?: ReservationPersonChangeModel;
    /**
     * The ages of the children
     */
    childrenAges?: Array<number>;
    /**
     * Additional guests of the reservation.
     */
    additionalGuests?: Array<ReservationPersonChangeModel>;
    paymentAccount?: ReservationPaymentAccountChangeModel;
    /**
     * The list of time slices
     */
    timeSlices: Array<ReservationTimeSliceChangeModel>;
    /**
     * The list of additional services (extras, add-ons) reserved for the stay
     */
    extraServices?: Array<ReservationServiceChangeModel>;
    /**
     * The strongest guarantee for the rate plans booked in this reservation
     */
    guaranteeType: ReservationAddedChangeModel.GuaranteeTypeEnum;
    cancellationFee: ReservationCancellationFeeChangeModel;
    noShowFee: MonetaryValueModel;
    /**
     * The purpose of the trip, leisure or business
     */
    travelPurpose?: ReservationAddedChangeModel.TravelPurposeEnum;
    prePaymentAmount?: MonetaryValueModel;
    /**
     * The list of validation messages
     */
    validationMessages?: Array<ReservationValidationMessageChangeModel>;
    /**
     * Company id for this reservation
     */
    companyId?: string;
    /**
     * Whether the city tax has already been added to the reservation. Set to false, if the property does not have city tax configured
     */
    hasCityTax: boolean;
    /**
     * Market segment id for this reservation
     */
    marketSegmentId?: string;
}
export declare namespace ReservationAddedChangeModel {
    type StatusEnum = 'Confirmed' | 'InHouse' | 'CheckedOut' | 'Canceled' | 'NoShow';
    const StatusEnumValues: readonly StatusEnum[];
    type ChannelCodeEnum = 'Direct' | 'BookingCom' | 'Ibe' | 'ChannelManager' | 'Expedia' | 'Homelike' | 'Hrs' | 'AltoVita' | 'DesVu';
    const ChannelCodeEnumValues: readonly ChannelCodeEnum[];
    type GuaranteeTypeEnum = 'PM6Hold' | 'CreditCard' | 'Prepayment' | 'Company' | 'Ota';
    const GuaranteeTypeEnumValues: readonly GuaranteeTypeEnum[];
    type TravelPurposeEnum = 'Business' | 'Leisure';
    const TravelPurposeEnumValues: readonly TravelPurposeEnum[];
}
export declare namespace ReservationAddedChangeModel {
    const $metaData: ClassMetaData<ReservationAddedChangeModel>;
}
