/**
 * apaleo logs API - not safe for work
 * Continuously evolving version - use at your own risk! Different logs: night audit, transactions export, folio change log
 *
 * OpenAPI spec version: v0-nsfw
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { ExternalReferencesChangeModel } from './externalReferencesChangeModel';
import { MonetaryValueModel } from './monetaryValueModel';
import { ReservationCancellationFeeChangeModel } from './reservationCancellationFeeChangeModel';
import { ReservationPaymentAccountChangeModel } from './reservationPaymentAccountChangeModel';
import { ReservationPersonChangeModel } from './reservationPersonChangeModel';
import { ClassMetaData } from '@apaleo/angular-api-proxy-common';
export interface ReservationChangedChangeModel {
    /**
     * Indicates whether the reservation is marked as open-for-charges or not.
     */
    isOpenForCharges?: boolean;
    /**
     * Indicates whether the reservation is marked as pre-checked-in or not.
     */
    isPreCheckedIn?: boolean;
    externalReferences?: ExternalReferencesChangeModel;
    /**
     * Date of arrival<br />A date and time (without fractional second part) in UTC or with UTC offset as defined in <a href=\"https://en.wikipedia.org/wiki/ISO_8601\">ISO8601:2004</a>
     */
    arrival?: Date;
    /**
     * Date of departure<br />A date and time (without fractional second part) in UTC or with UTC offset as defined in <a href=\"https://en.wikipedia.org/wiki/ISO_8601\">ISO8601:2004</a>
     */
    departure?: Date;
    /**
     * Number of adults
     */
    adults?: number;
    /**
     * Value of ages of the children
     */
    childrenAges?: Array<number>;
    /**
     * Comment
     */
    comment?: string;
    /**
     * Guest comment
     */
    guestComment?: string;
    totalGrossAmount?: MonetaryValueModel;
    primaryGuest?: ReservationPersonChangeModel;
    paymentAccount?: ReservationPaymentAccountChangeModel;
    /**
     * Guarantee type
     */
    guaranteeType?: ReservationChangedChangeModel.GuaranteeTypeEnum;
    /**
     * Travel purpose
     */
    travelPurpose?: ReservationChangedChangeModel.TravelPurposeEnum;
    /**
     * Company id for this reservation
     */
    companyId?: string;
    noShowFee?: MonetaryValueModel;
    cancellationFee?: ReservationCancellationFeeChangeModel;
    commissionAmount?: MonetaryValueModel;
    /**
     * Whether the city tax has already been added to the reservation
     */
    hasCityTax?: boolean;
    /**
     * Market segment id for this reservation
     */
    marketSegmentId?: string;
}
export declare namespace ReservationChangedChangeModel {
    type GuaranteeTypeEnum = 'PM6Hold' | 'CreditCard' | 'Prepayment' | 'Company' | 'Ota';
    const GuaranteeTypeEnumValues: readonly GuaranteeTypeEnum[];
    type TravelPurposeEnum = 'Business' | 'Leisure';
    const TravelPurposeEnumValues: readonly TravelPurposeEnum[];
}
export declare namespace ReservationChangedChangeModel {
    const $metaData: ClassMetaData<ReservationChangedChangeModel>;
}
